::-moz-selection { /* Code for Firefox */
    color: #ffffff;
    font-weight: bold;
    background: #343a40;
}

::selection {
    color: #ffffff;
    font-weight: bold;
    background: #343a40;
}

.text-primary,
a.text-primary:hover {
    color: #343a40 !important;
}
.text-danger,
a.text-danger:hover  {
    color: #d31e25 !important;
}

.btn-primary {
    color: #ffffff;
    background-color: #343a40 !important;
    border-color: #343a40 !important;
}
.btn-danger {
    color: #ffffff;
    background-color: #d31e25 !important;
    border-color: #d31e25 !important;
}
.btn:not(:disabled):not(.disabled):active:focus, .btn:not(:disabled):not(.disabled).active:focus, .show > .btn.dropdown-toggle:focus {
    box-shadow: none !important;
}

span.required{
    color: #d31e25;
    font-weight: bold;
}
a:focus,
a:hover,
a:active,
a{
    box-shadow: none !important;
    outline: none !important;
}




.header .header-container .nav-left .notifications .counter, .header .header-container .nav-right .notifications .counter {
    right: 3px;
    top: 8px;
    background-color: #343a40;
    color: #ffffff;
    padding: 5px 4px;
}

.nav-item.active a .title {
    font-weight: 700;
    /* color: #333333; */
    color: #343a40;
    transition: 0.3s all ease-in-out;
}

.nav-item.active a:hover .title {
    font-weight: 700;
    color: #333333;
    transition: 0.3s all ease-in-out;
}
.nav-item.active a .icon-holder {
    font-weight: 700;
    color: #343a40;
}
.side-nav .side-nav-inner .side-nav-menu li a:hover .icon-holder,
.side-nav .side-nav-inner .side-nav-menu li a:focus .icon-holder,
.side-nav .side-nav-inner .side-nav-menu li.dropdown.open > a .icon-holder,
.side-nav .side-nav-inner .side-nav-menu li.dropdown.open > a {
    color: #343a40;
}


.form-control:focus {
    border-color: #343a40;
}
.checkbox.checkbox-primary input[type=checkbox]:checked + label:before {
    color: #343a40;
    font-weight: bold;
}
.content-footer .footer .go-right {
    float: right;
    padding-bottom: 20px;
}

.side-nav .side-nav-inner .side-nav-menu > li.dropdown ul.dropdown-menu > li.active a {
    color: #333333;
    font-weight: 500;
}


.calendar-event .add-event {
    top: -21px;
    padding: 8px 12px 6px 11px;
}

.fc-basic-view .fc-day-number.fc-today.fc-today,
.fc-event-container .fc-event {
    background-color: #343a40 !important;
    color: #ffffff !important;
}

.datepicker table tr td span.active:active,
.datepicker table tr td span.active:hover:active,
.datepicker table tr td span.active.disabled:active,
.datepicker table tr td span.active.disabled:hover:active,
.datepicker table tr td span.active.active,
.datepicker table tr td span.active:hover.active,
.datepicker table tr td span.active.disabled.active,
.datepicker table tr td span.active.disabled:hover.active,
.datepicker table tr td span.active.active:hover,
.datepicker table tr td span.active:hover.active:hover,
.datepicker table tr td.active:active,
.datepicker table tr td.active.highlighted:active,
.datepicker table tr td.active.active,
.datepicker table tr td.active.highlighted.active,
.datepicker table tr td.active:active:hover,
.datepicker table tr td.active.highlighted:active:hover,
.datepicker table tr td.active.active:hover,
.datepicker table tr td.active.highlighted.active:hover,
.datepicker table tr td.active:active:focus,
.datepicker table tr td.active.highlighted:active:focus,
.datepicker table tr td.active.active:focus,
.datepicker table tr td.active.highlighted.active:focus,
.datepicker table tr td.active:active.focus,
.datepicker table tr td.active.highlighted:active.focus,
.datepicker table tr td.active.active.focus,
.datepicker table tr td.active.highlighted.active.focus {
    background-color: #343a40;
}
.input-icon i {
    top: 9px;
    color: #343a4059;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current,
.dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
    background: #343a40;
    border: 1px solid #343a40;
}

.widget-profile-1 .profile img{
    max-width: 125px;
}

.swal2-actions:not(.swal2-loading) .swal2-styled:active,
.swal2-confirm.swal2-styled:focus,
.swal2-confirm.swal2-styled:active{
    outline: none !important;
}
